al_set_bitmap_blender(3)

NAME

al_set_bitmap_blender - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_set_bitmap_blender(int op, int src, int dest)

DESCRIPTION

Sets the function to use for blending when rendering to the target bitmap. If no blender is set for a given bitmap at draw time, the values set for al_set_blender(3)/al_set_separate_blender(3) are used instead.

To use separate functions for chroma (RGB) and alpha channels, use al_set_separate_bitmap_blender(3).

See al_set_blender(3) for more information about how blending works.

SEE ALSO

al_set_separate_bitmap_blender(3), al_reset_bitmap_blender(3)

SINCE

5.2.5

    [Unstable API]: New API.